/**
 * @brief Helper for easy system task setup in <sta/config.hpp>.
 *
 * Define STA_OS2_SYSTEM_TASKS_ENABLE before including this header
 * to enable all system tasks and required features.
 */
#ifndef STA_OS2_EASY_CONFIG_HPP
#define STA_OS2_EASY_CONFIG_HPP


#ifdef STA_OS2_SYSTEM_TASKS_ENABLE
// Enable system events used by system tasks
#  define STA_OS2_SYSTEM_EVENT_ENABLE
// Enable system tasks
#  define STA_OS2_WATCHDOG_ENABLE
#  define STA_OS2_STARTUP_ENABLE
#endif // STA_OS2_SYSTEM_TASKS_ENABLE


#endif // STA_OS2_EASY_CONFIG_HPP
